# Poco::Net

# class HTTPServerRequestImpl

Library: Net
Package: HTTPServer
Header: Poco/Net/HTTPServerRequestImpl.h

## Description

This subclass of HTTPServerRequest is used for representing server-side HTTP requests.

A HTTPServerRequest is passed to the handleRequest() method of HTTPRequestHandler.

## Inheritance

Direct Base Classes: HTTPServerRequest

All Base Classes: HTTPMessage, HTTPRequest, HTTPServerRequest, MessageHeader, NameValueCollection

## Member Summary

Member Functions: clientAddress, expectContinue, response, serverAddress, serverParams, stream

Inherited Functions: add, begin, clear, clientAddress, empty, end, erase, expectContinue, find, get, getChunkedTransferEncoding, getContentLength, getContentType, getCookies, getCredentials, getHost, getKeepAlive, getMethod, getTransferEncoding, getURI, getVersion, has, hasCredentials, operator, operator =, quote, read, response, serverAddress, serverParams, set, setChunkedTransferEncoding, setContentLength, setContentType, setCookies, setCredentials, setHost, setKeepAlive, setMethod, setTransferEncoding, setURI, setVersion, size, splitElements, splitParameters, stream, swap, write

## Constructors

### HTTPServerRequestImpl

HTTPServerRequestImpl(
HTTPServerResponse & response,
HTTPServerSession & session,
HTTPServerParams * pParams
);

Creates the HTTPServerRequestImpl, using the given HTTPServerSession.

## Destructor

### ~HTTPServerRequestImpl

~HTTPServerRequestImpl();

Destroys the HTTPServerRequestImpl.

## Member Functions

### clientAddress

const SocketAddress & clientAddress() const;

Returns the client's address.

See also: Poco::Net::HTTPServerRequest::clientAddress()

### expectContinue

bool expectContinue() const;

Returns true if the client expects a 100 Continue response.

See also: Poco::Net::HTTPServerRequest::expectContinue()

### response

HTTPServerResponse & response() const;

Returns a reference to the associated response.

See also: Poco::Net::HTTPServerRequest::response()

### serverAddress

const SocketAddress & serverAddress() const;

Returns the server's address.

See also: Poco::Net::HTTPServerRequest::serverAddress()

### serverParams

const HTTPServerParams & serverParams() const;

Returns a reference to the server parameters.

See also: Poco::Net::HTTPServerRequest::serverParams()

### stream

std::istream & stream();

Returns the input stream for reading the request body.

The stream is valid until the HTTPServerRequestImpl object is destroyed.

See also: Poco::Net::HTTPServerRequest::stream()

## Variables

### EXPECT

static const std::string EXPECT;